com.r3corda.core.contracts / IssueCommand

# IssueCommand

`interface IssueCommand : CommandData`

A common issue command, to enforce that issue commands have a nonce value.

### Properties

nonce | `abstract val nonce: Long`

### Inheritors

Issue | `interface Issue : IssueCommand, Commands` Allows new asset states to be issued into existence: the nonce ("number used once") ensures the transaction has a unique ID even when there are no inputs.
Issue | `data class Issue : IssueCommand, Commands`